Subject: [bug#31416] [PATCH 3/4] bootloader: Add make-u-boot-bootloader.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 15 Jun 2018 09:12:31 +0200

Hi Danny,

Apologies for dropping the ball!

Danny Milosavljevic <[email-masked]> skribis:

> Still to do: bikeshedding the name :)
>
> What about
>
> (define-record <installer>
>    soc installation-procedure
> ...)
>
> (I think <soc> as record name would be weird, no?)

I think <installer> is too vague and it sounds like it’s basically a
procedure, which it’s not.  <soc> would be fine IMO, or <system-on-chip>
if we want.

> Or just a hash table soc -> installation-procedure ?
>
> How does the instantiation of the table data look?  Just toplevel statements?  I've caused problems with those before :)

I think we need a table to look things up by name anyway, but we may
also need a record type: I suppose we’d want to describe things in that
record.

For the lookup table itself, see for example ‘file-system-type-modules’
in (gnu system linux-initrd).

> Where do we put it? gnu/bootloader/u-boot.scm ?

Sounds like the right place, yes.

Thanks,
Ludo’.